Skip to main content
GET
/
items
/
count
Retrieve the number of items
curl --request GET \
  --url https://api.retrac.co/items/count \
  --header 'Authorization: Bearer <token>'
123

Authorizations

Authorization
string
header
required

Bearer API key from Settings → API Keys. Use restricted keys (prefix retrac_) with the minimum scopes required.

Query Parameters

workspaceId
string
required

The ID of the workspace.

Example:

"ws_cluuwcv0r..."

projectSlug
string
deprecated

The slug of the project. This field is deprecated – use workspaceId instead.

sku
string

The SKU of the item.

description
string

The item description.

cost
number

The item cost.

sellPrice
number

The default sell price of the item.

supplierId
string

The supplier ID for the item.

supplierIds

The supplier IDs to filter the items by.

tagId
string
deprecated

[DEPRECATED] (use tagIds instead): The tag ID to filter the items by.

tagIds

The tag IDs to filter the items by.

tagNames

The unique name of the tags assigned to the items (case insensitive).

The search term to filter the items by. The search term will be matched against the short item slug and the destination url.

userId
string

The user ID to filter the items by.

locationId
string

The location ID to filter the items by (only items with a balance row at that location will be returned).

withTags
boolean
default:false

Whether to include tags in the response. Defaults to false if not provided.

groupBy

The field to group the items by.

Available options:
tagId

Response

A list of items

The number of items matching the query.